<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/useractionscomponent/actions/expansionactiontoolbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d20/a01160_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactiontoolbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d20/a01160.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionToolBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/*! @brief Provides base classes for tool-based continuous actions with animation fitting the tool.</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">*/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d23/a04822.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d23/a04822.html">ExpansionActionToolBaseCB</a>: ActionContinuousBaseCB</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/d23/a04822.html#aa2e1d739abfa3a1fbc16af876e70215f">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d23/a04822.html#aa2e1d739abfa3a1fbc16af876e70215f">CreateActionComponent</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a> action = <a class="code hl_function" href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a>.Cast( m_ActionData.m_Action );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordtype">int</span> time;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordtype">int</span> cycles;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( action )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            time = action.m_Time;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            cycles = action.m_Cycles;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> ( !time )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            time = 15 * 60;  <span class="comment">//! 15 minutes</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> ( !cycles )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            cycles = 5;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_ActionData.m_ActionComponent = <span class="keyword">new</span> CAContinuousRepeat( time / cycles );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>}</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="keyword">class </span><a class="code hl_function" href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a> : <a class="code hl_class" href="../../df/dd9/a04702.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>{</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a4749cf45b5ac2fa0714864c058c69ef7">   43</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d20/a01160.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">   45</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a251cefc67ac9028e215f99dcff20e945">   47</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">   48</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a>;  <span class="comment">//! If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when the action finishes</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">   49</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a>;  <span class="comment">//! Minimum health [0.0..1.0] at which target is considered destroyed, negative value = ignore</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_CallbackClass = <a class="code hl_class" href="../../d3/d23/a04822.html">ExpansionActionToolBaseCB</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#ae6a4a9c901dbed9f819534aac090ffdb">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d20/a01160.html#ae6a4a9c901dbed9f819534aac090ffdb">Setup</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_variable" href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = 15 * 60;  <span class="comment">//! 15 minutes</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a> = 1;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> = 10;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a> = -1;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#aa9aa4864fae11769c65e644b5fd97c66">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( !item || !target.<a class="code hl_function" href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>() )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_function" href="../../da/d20/a01160.html#ae6a4a9c901dbed9f819534aac090ffdb">Setup</a>( player, target, item );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> &lt;= 0 )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> ( item.GetCompEM() &amp;&amp; !item.GetCompEM().IsWorking() )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_variable" href="../../da/d20/a01160.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a> = target.<a class="code hl_function" href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>().GetDisplayName();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#ad7c2b71ba925a43a0fef9ef4aa765963">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d20/a01160.html#ad7c2b71ba925a43a0fef9ef4aa765963">CreateAndSetupActionCallback</a>( ActionData action_data )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item = action_data.m_MainItem;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> ( item.GetCompEM() )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">            //! Powered items</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment"></span>            m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_FILLBOTTLEWELL;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordtype">string</span> animClass;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordtype">string</span> suicideAnim;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">if</span> ( item.ConfigIsExisting( <span class="stringliteral">&quot;animClass&quot;</span> ) )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                animClass = item.ConfigGetString( <span class="stringliteral">&quot;animClass&quot;</span> );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">if</span> ( item.ConfigIsExisting( <span class="stringliteral">&quot;suicideAnim&quot;</span> ) )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                suicideAnim = item.ConfigGetString( <span class="stringliteral">&quot;suicideAnim&quot;</span> );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">if</span> ( ( suicideAnim != <span class="stringliteral">&quot;&quot;</span> || item.KindOf( <span class="stringliteral">&quot;Axe&quot;</span> ) || item.IsKindOf( <span class="stringliteral">&quot;Hammer&quot;</span> ) || item.KindOf( <span class="stringliteral">&quot;Knife&quot;</span> ) || item.KindOf( <span class="stringliteral">&quot;Pickaxe&quot;</span> ) || item.KindOf( <span class="stringliteral">&quot;SledgeHammer&quot;</span> ) ) &amp;&amp; animClass != <span class="stringliteral">&quot;Knife&quot;</span> &amp;&amp; suicideAnim != <span class="stringliteral">&quot;onehanded&quot;</span> )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="comment">                //! Tools &amp; melee weapons (excluding knifes)</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="comment"></span>                m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="comment">                //! All other items</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment"></span>                m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_INTERACT;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        super.CreateAndSetupActionCallback( action_data );</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a498da9d7d9b0a9126f488206f249e2f2">  115</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d20/a01160.html#a498da9d7d9b0a9126f488206f249e2f2">OnStartAnimationLoopServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        super.OnStartAnimationLoopServer( action_data );</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item = action_data.m_MainItem;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> ( item.GetCompEM() &amp;&amp; item.HasQuantity() )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="comment">            //! Convert tool dmg pct to energy usage</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">            //! (less ~10% so fully charged/filled tool will last for the configured number of raid cycles)</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment"></span>            <span class="keywordtype">float</span> energyMax = item.GetCompEM().GetEnergyMaxPristine();</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            item.GetCompEM().SetEnergyUsage( energyMax * <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> / 110.0 / <a class="code hl_variable" href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#acda6d37054929cd6366f74e65d1fcb37">  129</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d20/a01160.html#acda6d37054929cd6366f74e65d1fcb37">OnEndAnimationLoopServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        super.OnEndAnimationLoopServer( action_data );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item = action_data.m_MainItem;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span> ( item.GetCompEM() &amp;&amp; item.HasQuantity() )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            item.GetCompEM().ResetEnergyUsage();</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a00cda41fe9dd093059da5c4b83b591bc">  140</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dd9/a04702.html#aa2077ea4b7046ea9fff3b4e88f035cb1">OnFinishProgressServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        Object actualTargetObject = <a class="code hl_function" href="../../da/d20/a01160.html#ab13031d4de848683f92141940303ee08">GetActualTargetObject</a>( action_data.m_Target.GetParentOrObject() );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">if</span> ( !actualTargetObject )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">if</span> ( !action_data.m_MainItem.GetCompEM() || action_data.m_MainItem.HasQuantity() )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <span class="keywordflow">if</span> ( !action_data.m_MainItem.HasQuantity() )</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="comment">                //! Damage tool if it does not have an energy manager or quantity</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment"></span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                <span class="keywordtype">float</span> maxHealth = actualTargetObject.GetMaxHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Health&quot;</span> );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                <span class="keywordtype">float</span> minHealth = Math.Floor( maxHealth * <a class="code hl_variable" href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a> );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                <span class="keywordtype">float</span> toolDamage = action_data.m_MainItem.GetMaxHealth() * <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> / 100.0;<span class="comment"></span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="comment">                //! If it&#39;s the last cycle and tool damage is set to 100%, the tool will be ruined no matter what</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="comment"></span>                <span class="keywordflow">if</span> ( actualTargetObject.GetHealth() &gt; minHealth || <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> &lt; 100.0 )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                    toolDamage /= <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                action_data.m_MainItem.DecreaseHealth( toolDamage, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment">                //! Deplete tool by converting tool dmg to quantity</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment"></span>                <span class="keywordtype">float</span> quantity = action_data.m_MainItem.GetQuantityMax() * <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> / 100.0;<span class="comment"></span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="comment">                //! If it&#39;s the last cycle and tool damage is set to 100%, the tool will be fully depleted no matter what</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="comment"></span>                <span class="keywordflow">if</span> ( actualTargetObject.GetHealth() &gt; minHealth || <a class="code hl_variable" href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> &lt; 100.0 )</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                    quantity /= <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                action_data.m_MainItem.SetQuantity( action_data.m_MainItem.GetQuantity() - quantity );</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        action_data.m_Player.GetSoftSkillsManager().AddSpecialty( m_SpecialtyWeight / <a class="code hl_variable" href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a> );</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="comment"></span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span><span class="comment">    //! Just kept for compatibility with 3rd party mods</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#a7e310183f43025ce658eacd370b5c9d5">  176</a></span><span class="comment"></span>    <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> <a class="code hl_function" href="../../da/d20/a01160.html#a7e310183f43025ce658eacd370b5c9d5">GetTargetItem</a>( Object targetObject )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <a class="code hl_function" href="../../df/df7/a00731.html#a008eb1c448c351e3e58145acc877a40f">Error</a>(<span class="stringliteral">&quot;DEPRECATED - please use ExpansionActionToolBase::GetActualTagetObject instead&quot;</span>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a>.Cast( <a class="code hl_function" href="../../da/d20/a01160.html#ab13031d4de848683f92141940303ee08">GetActualTargetObject</a>( targetObject ) );</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="comment"></span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="comment">    //! Override this in derived classes to return a different object than targetObject</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../da/d20/a01160.html#ab13031d4de848683f92141940303ee08">  183</a></span><span class="comment"></span>    Object <a class="code hl_function" href="../../da/d20/a01160.html#ab13031d4de848683f92141940303ee08">GetActualTargetObject</a>( Object targetObject )</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordflow">return</span> targetObject;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>}</div>
<div class="ttc" id="aa00731_html_a008eb1c448c351e3e58145acc877a40f"><div class="ttname"><a href="../../df/df7/a00731.html#a008eb1c448c351e3e58145acc877a40f">Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00163">expansionnotificationsystem.c:163</a></div></div>
<div class="ttc" id="aa00731_html_a2d2e872d4a5c7f9c28009b5890ecca76"><div class="ttname"><a href="../../df/df7/a00731.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00137">expansionnotificationsystem.c:137</a></div></div>
<div class="ttc" id="aa01160_html_a2ec52ac05c8ad9e5ed942654ca2bf05b"><div class="ttname"><a href="../../da/d20/a01160.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a></div><div class="ttdeci">void ExpansionActionToolBase()</div><div class="ttdoc">Minimum health [0.0..1.0] at which target is considered destroyed, negative value = ignore.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00051">expansionactiontoolbase.c:51</a></div></div>
<div class="ttc" id="aa01160_html_a4749cf45b5ac2fa0714864c058c69ef7"><div class="ttname"><a href="../../da/d20/a01160.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a></div><div class="ttdeci">ExpansionActionToolBaseCB m_TargetName</div></div>
<div class="ttc" id="aa01160_html_a498da9d7d9b0a9126f488206f249e2f2"><div class="ttname"><a href="../../da/d20/a01160.html#a498da9d7d9b0a9126f488206f249e2f2">OnStartAnimationLoopServer</a></div><div class="ttdeci">override void OnStartAnimationLoopServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00115">expansionactiontoolbase.c:115</a></div></div>
<div class="ttc" id="aa01160_html_a51b79bdc2b37130cb81f4e4dece7bcc8"><div class="ttname"><a href="../../da/d20/a01160.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a></div><div class="ttdeci">float m_ToolDamagePercent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00048">expansionactiontoolbase.c:48</a></div></div>
<div class="ttc" id="aa01160_html_a5d58fa44f06a47200f78a92dedcb5efd"><div class="ttname"><a href="../../da/d20/a01160.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a></div><div class="ttdeci">float m_MinHealth01</div><div class="ttdoc">If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when th...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00049">expansionactiontoolbase.c:49</a></div></div>
<div class="ttc" id="aa01160_html_a7e310183f43025ce658eacd370b5c9d5"><div class="ttname"><a href="../../da/d20/a01160.html#a7e310183f43025ce658eacd370b5c9d5">GetTargetItem</a></div><div class="ttdeci">ItemBase GetTargetItem(Object targetObject)</div><div class="ttdoc">Just kept for compatibility with 3rd party mods.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00176">expansionactiontoolbase.c:176</a></div></div>
<div class="ttc" id="aa01160_html_ab13031d4de848683f92141940303ee08"><div class="ttname"><a href="../../da/d20/a01160.html#ab13031d4de848683f92141940303ee08">GetActualTargetObject</a></div><div class="ttdeci">Object GetActualTargetObject(Object targetObject)</div><div class="ttdoc">Override this in derived classes to return a different object than targetObject.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00183">expansionactiontoolbase.c:183</a></div></div>
<div class="ttc" id="aa01160_html_acda6d37054929cd6366f74e65d1fcb37"><div class="ttname"><a href="../../da/d20/a01160.html#acda6d37054929cd6366f74e65d1fcb37">OnEndAnimationLoopServer</a></div><div class="ttdeci">override void OnEndAnimationLoopServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00129">expansionactiontoolbase.c:129</a></div></div>
<div class="ttc" id="aa01160_html_ad7c2b71ba925a43a0fef9ef4aa765963"><div class="ttname"><a href="../../da/d20/a01160.html#ad7c2b71ba925a43a0fef9ef4aa765963">CreateAndSetupActionCallback</a></div><div class="ttdeci">override void CreateAndSetupActionCallback(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00082">expansionactiontoolbase.c:82</a></div></div>
<div class="ttc" id="aa01160_html_add986a8b0d3f724b01921fec4db98151"><div class="ttname"><a href="../../da/d20/a01160.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a></div><div class="ttdeci">int m_Cycles</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00045">expansionactiontoolbase.c:45</a></div></div>
<div class="ttc" id="aa01160_html_ae6a4a9c901dbed9f819534aac090ffdb"><div class="ttname"><a href="../../da/d20/a01160.html#ae6a4a9c901dbed9f819534aac090ffdb">Setup</a></div><div class="ttdeci">void Setup(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00056">expansionactiontoolbase.c:56</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04702_html"><div class="ttname"><a href="../../df/dd9/a04702.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7c/a01073_source.html#l00013">actioncontinuousbase.c:14</a></div></div>
<div class="ttc" id="aa04702_html_aa2077ea4b7046ea9fff3b4e88f035cb1"><div class="ttname"><a href="../../df/dd9/a04702.html#aa2077ea4b7046ea9fff3b4e88f035cb1">ActionContinuousBase::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d90/a02177_source.html#l00015">actionbases.c:15</a></div></div>
<div class="ttc" id="aa04822_html"><div class="ttname"><a href="../../d3/d23/a04822.html">ExpansionActionToolBaseCB</a></div><div class="ttdoc">Provides base classes for tool-based continuous actions with animation fitting the tool.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">expansionactiontoolbase.c:17</a></div></div>
<div class="ttc" id="aa04822_html_aa2e1d739abfa3a1fbc16af876e70215f"><div class="ttname"><a href="../../d3/d23/a04822.html#aa2e1d739abfa3a1fbc16af876e70215f">ExpansionActionToolBaseCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00018">expansionactiontoolbase.c:18</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04854_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa08833_html_add59dc9e9e85a3185ba2cede7cf9449f"><div class="ttname"><a href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a></div><div class="ttdeci">modded class ActionBuildPartCB ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9b/a08833_source.html#l00014">actionbuildpart.c:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f555e9bea97b25daad793b5356d1a5c2.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_ebe2728bee2d9ca5851343381d237e13.html">actions</a></li><li class="navelem"><a class="el" href="../../da/d20/a01160.html">expansionactiontoolbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
